Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class ResourceMappingFeature

    java.lang.Object
      org.richfaces.resource.ResourceMappingFeature

    public final class ResourceMappingFeature

extends Object

Determines resource mappings and request path for mapped resources.

Author:
  Lukas Fryc

Method Summary
`static String` | `getLocation()` Returns the configured location of static resources as string evaluated against EL expressions in current context, either from configuration option or predefined location corresponding to current application stage.
`static List<String>` | `getMappingFiles()` Returns locations of static resource mapping configuration files for current application stage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMappingFiles

    public static List<String> getMappingFiles()

  Returns locations of static resource mapping configuration files for current application stage.

  Returns:
    locations of static resource mapping configuration files for current application stage

### getLocation

    public static String getLocation()

  Returns the configured location of static resources as string evaluated against EL expressions in current context, either from configuration option or predefined location corresponding to current application stage.

  Returns:
    the configured location of static resources as string evaluated against EL expressions in current context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.